Subject: RE: bug#10057: 24.0.91; doc string of `Info-find-file'

From: "Drew Adams" <[email-masked]>
Date: Tue, 15 Nov 2011 14:21:04 -0800

> You are supposed to use only the value that is documented.  This is
> called future compatibility.

In that case, if that is truly a worry, then the doc should say that.  As it is,
the doc is vague and incomplete.  It does not at all convey the interpretation
you are adding here.

Hey - pick any set of supported values and associated behaviors you like.  Have
them mean whatever you like.  But document what they do, completely and
unambiguously.  If non-nil other than `t' is to be unsupported or discouraged
for reasons of <whatever>, then say so.

Sheesh.  This really should be a no-brainer.